# Generated by Django 2.2.9 on 2020-01-17 15:39

import django.contrib.postgres.indexes
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('documents', '0001_initial'),
        ('images', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='entity',
            name='moderator',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name='entities',
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name='entity',
            name='source',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='entities',
                to='documents.DataSource',
            ),
        ),
        migrations.AddField(
            model_name='elementtype',
            name='corpus',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='types',
                to='documents.Corpus',
            ),
        ),
        migrations.AddField(
            model_name='elementpath',
            name='element',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='paths',
                to='documents.Element',
            ),
        ),
        migrations.AddField(
            model_name='element',
            name='corpus',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='elements',
                to='documents.Corpus',
            ),
        ),
        migrations.AddField(
            model_name='element',
            name='type',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name='elements',
                to='documents.ElementType',
            ),
        ),
        migrations.AddField(
            model_name='element',
            name='zone',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name='elements',
                to='images.Zone',
            ),
        ),
        migrations.AlterUniqueTogether(
            name='datasource',
            unique_together={('type', 'slug', 'revision')},
        ),
        migrations.AddField(
            model_name='classification',
            name='element',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='classifications',
                to='documents.Element',
            ),
        ),
        migrations.AddField(
            model_name='classification',
            name='ml_class',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='classifications',
                to='documents.MLClass',
            ),
        ),
        migrations.AddField(
            model_name='classification',
            name='moderator',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name='classifications',
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name='classification',
            name='source',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='classifications',
                to='documents.DataSource',
            ),
        ),
        migrations.AddField(
            model_name='allowedmetadata',
            name='corpus',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='allowed_metadatas',
                to='documents.Corpus',
            ),
        ),
        migrations.AlterUniqueTogether(
            name='transcriptionentity',
            unique_together={('transcription', 'entity', 'offset', 'length')},
        ),
        migrations.AlterUniqueTogether(
            name='regionelement',
            unique_together={('element', 'region')},
        ),
        migrations.AlterUniqueTogether(
            name='mlclass',
            unique_together={('name', 'corpus')},
        ),
        migrations.AlterUniqueTogether(
            name='metadata',
            unique_together={('element', 'name', 'index')},
        ),
        migrations.AlterUniqueTogether(
            name='entityrole',
            unique_together={('parent_name', 'child_name', 'parent_type', 'child_type', 'corpus')},
        ),
        migrations.AddConstraint(
            model_name='elementtype',
            constraint=models.UniqueConstraint(fields=('corpus', 'slug'), name='corpus_unique_type_slug'),
        ),
        migrations.AddIndex(
            model_name='elementpath',
            index=django.contrib.postgres.indexes.GinIndex(fields=['path'], name='documents_e_path_15a4b8_gin'),
        ),
        migrations.AlterUniqueTogether(
            name='classification',
            unique_together={('element', 'source', 'ml_class')},
        ),
        migrations.AlterUniqueTogether(
            name='allowedmetadata',
            unique_together={('corpus', 'type', 'name')},
        ),
    ]
