# Generated by Django 3.2.3 on 2021-06-23 10:27

from django.db import migrations, models

DEDUPLICATE_SQL = """
DELETE FROM documents_elementpath WHERE id IN (
    SELECT id FROM (
        SELECT id, ROW_NUMBER() OVER (PARTITION BY element_id, path) > 1 AS is_duplicate
        FROM documents_elementpath
    ) AS a
    WHERE is_duplicate IS TRUE
);
"""


class Migration(migrations.Migration):

    dependencies = [
        ('documents', '0035_corpusexport'),
    ]

    operations = [
        migrations.RunSQL(
            DEDUPLICATE_SQL,
            reverse_sql=migrations.RunSQL.noop,
        ),
        migrations.AddConstraint(
            model_name='elementpath',
            constraint=models.UniqueConstraint(fields=('element', 'path'), name='unique_element_paths'),
        ),
    ]
