from django.db import migrations


def get_name_from_email(apps, schema_editor):
    User = apps.get_model('users', 'User')
    for user in User.objects.filter(display_name='default name'):
        try:
            user.display_name = user.email.split('@')[0].replace('.', ' ').title()
        except Exception:
            user.display_name = user.email
        user.save()


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0007_user_display_name'),
    ]

    operations = [
        migrations.RunPython(
            get_name_from_email,
            reverse_code=migrations.RunPython.noop,
            elidable=True
        )
    ]
